DdemlUtil.DdeConnectionList (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, class: DdemlUtil, class: DdeConnectionList

Package com.sun.jna.platform.win32

# Class DdemlUtil.DdeConnectionList

java.lang.Object
com.sun.jna.platform.win32.DdemlUtil.DdeConnectionList

All Implemented Interfaces:
  `DdemlUtil.IDdeConnectionList`, `Closeable`, `AutoCloseable`

Enclosing class:
  DdemlUtil

public static class DdemlUtil.DdeConnectionList extends Object implements DdemlUtil.IDdeConnectionList

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DdeConnectionList(DdemlUtil.IDdeClient client, Ddeml.HCONVLIST convList)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Destroys the specified conversation list and terminates all conversations associated with the list.
  `Ddeml.HCONVLIST`
  `getHandle()`
  `DdemlUtil.IDdeConnection`
  `queryNextServer(DdemlUtil.IDdeConnection prevConnection)`
  Retrieves the next conversation handle in the specified conversation list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DdeConnectionList

    public DdeConnectionList(DdemlUtil.IDdeClient client, Ddeml.HCONVLIST convList)

- ## Method Details

  - ### getHandle

    public Ddeml.HCONVLIST getHandle()
    Specified by:
      `getHandle` in interface `DdemlUtil.IDdeConnectionList`

  - ### queryNextServer

    public DdemlUtil.IDdeConnection queryNextServer(DdemlUtil.IDdeConnection prevConnection)
    Description copied from interface: `DdemlUtil.IDdeConnectionList`
    Retrieves the next conversation handle in the specified conversation list.
    Specified by:
      `queryNextServer` in interface `DdemlUtil.IDdeConnectionList`
    Parameters:
      `prevConnection` - A handle to the conversation handle previously returned by this function. If this parameter is NULL, the function returns the first conversation handle in the list.
    Returns:
      If the list contains any more conversation handles, the return value is the next conversation IDdeConnection in the list; otherwise it is NULL.

  - ### close

    public void close()
    Description copied from interface: `DdemlUtil.IDdeConnectionList`
    Destroys the specified conversation list and terminates all conversations associated with the list.

    If the function fails a DdeException is raised with the appropriate errorCode:

    - DMLERR_DLL_NOT_INITIALIZED
    - DMLERR_INVALIDPARAMETER
    - DMLERR_NO_ERROR

    Note: This wraps DdeDisconnectList to align with Closeable wording.

    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in interface `DdemlUtil.IDdeConnectionList`